<div class="contenedor">
  <mat-card>
      <mat-progress-bar mode="determinate" value="66.66666666"></mat-progress-bar>
    <h1>Lenguajes de programación</h1>
    <div class="container">
      <output *ngFor="let item of preguntas" >{{item.pregunta}}</output>
      <div class="container">
        <table mat-table [dataSource]="lenguajes">
          <ng-container matColumnDef="lenguaje">
            <th mat-header-cell *matHeaderCellDef>Lenguaje</th>
            <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
          </ng-container>
          <ng-container matColumnDef="_id">
            <th mat-header-cell *matHeaderCellDef  matTooltip="¿Cuantos años de experiencia tienes en este lenguaje?">Años Experiencia</th>
            <td mat-cell *matCellDef="let element">
              <input type="number" style="text-align: center;" [(ngModel)]="element.experiencia" min="0" max="100"  required></td>
          </ng-container>
          <ng-container matColumnDef="interes">
            <th mat-header-cell *matHeaderCellDef  matTooltip="¿Te interesaría trabajar este lenguaje?"> Interés</th>
            <td mat-cell *matCellDef="let element">
              <mat-checkbox  [(ngModel)]="element.interesa"></mat-checkbox>
            </td>
          </ng-container>
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
    </div>
    <button type="submit" mat-raised-button color="primary" (click)="addLenguaje(lenguajes)" mat-raised-button
      color="primary" routerLink="../pregunta-modulo">Siguiente</button>
  </mat-card>
</div>
